# $Revision: 1.8 $, $Date: 2007-04-09 01:28:04 $
Summary:	KDE tray icon Network activity monitor
Summary(pl.UTF-8):	Ikona tacki systemowej KDE monitorująca aktywność sieci
Name:		ktraynetworker
Version:	0.8c
Release:	1
%define		_res_ver	0.2
Group:		X11/Applications
License:	GPL
Source0:	http://www.xiaprojects.com/www/downloads/files/ktraynetworker/%{name}-%{version}.tar.bz2
# Source0-md5:	b0e14fac9bcb0f5a33588a9c9386fea7
Source1:	http://www.xiaprojects.com/www/downloads/files/ktraynetworker/%{name}_resources_%{_res_ver}.tar.bz2
# Source1-md5:	021d5529af23dd5607129982184688b7
URL:		http://www.xiaprojects.com/www/prodotti/ktraynetworker/main.php
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.3
BuildRequires:	qt-devel >= 6:3.3
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program will help you to view network activity on your network
device such as eth0, ppp0 and so on.

%description -l pl.UTF-8
Ten program pomaga obserwować aktywność sieciową urządzenia takiego
jak eth0, ppp0 itp.

%prep
%setup -q
tar xjf %{SOURCE1}
mkdir themes
tar xjf %{name}_resources_%{_res_ver}/themes.tar.bz2 -C themes

%build
cp -f /usr/share/automake/config.* admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/themes
cp -R themes  $RPM_BUILD_ROOT%{_datadir}/apps/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	shelldesktopdir=%{_desktopdir}

echo 'Categories=Qt;KDE;Network;' >> \
	$RPM_BUILD_ROOT%{_desktopdir}/ktraynetworker.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktraynetworker
%{_datadir}/apps/ktraynetworker
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/ktraynetworker.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ktraynetworker.spec,v $
Revision 1.8  2007-04-09 01:28:04  shadzik
mass attack: qt-devel epoch

Revision 1.7  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.5  2006/09/11 20:51:26  blekot
- up to 0.8c
- Source1 with resources added (iconset)
- patch0 removed

Revision 1.4  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.3  2004/03/02 22:45:15  qboosh
- fixed file list, add Categories, standard amd64 fixes
- removed unused OPT

Revision 1.2  2004/03/02 22:08:45  qboosh
- cleanups

Revision 1.1  2004/03/02 22:07:21  qboosh
- from Piotr Budny <vip at linux.pl>
